package com.bonus.canteen.core.menu.vo;

import cn.hutool.core.text.CharSequenceUtil;
import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@ApiModel("安卓菜谱商品详情3")
public class AndroidRecipeTypeDetailThreeVO implements Serializable {
   @ApiModelProperty("菜谱详情id")
   private Long detailId;
   @ApiModelProperty("父类id")
   private Long parentId;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("商品id")
   private Long productId;
   @ApiModelProperty("套餐id")
   private Long packageId;
   @ApiModelProperty("自定义id")
   private Integer customId;
   @ApiModelProperty("餐品类型")
   private Integer mealType;
   @ApiModelProperty("名称")
   private String productName;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("标签")
   private List<String> labelList;
   @ApiModelProperty("口味列表")
   private List<AppletTasteVO> tasteList;
   @ApiModelProperty("剩余数量")
   private Integer surplusNum;
   @ApiModelProperty("个人限购数量")
   private Integer restrictNum;
   @ApiModelProperty("销售价格")
   private Integer salePrice;
   @ApiModelProperty("原价")
   private Integer originalPrice;
   @ApiModelProperty("优惠价")
   private Integer prefPrice;
   @ApiModelProperty("销售方式(1按份,2称重)")
   private Integer salesMode;
   @ApiModelProperty("称重单位多少克(默认50g)")
   private Integer unitPrice;
   @ApiModelProperty("热量(千卡/100g)")
   private Double calories;
   @ApiModelProperty("蛋白质(g/100g)")
   private Double protein;
   @ApiModelProperty("脂肪(g/100g)")
   private Double fat;
   @ApiModelProperty("碳水化合物(g/100g)")
   private Double carbohydrate;
   @ApiModelProperty("膳食纤维(g/100g)")
   private Double dietaryFiber;
   @ApiModelProperty("胆固醇(mg/100g)")
   private Double cholesterol;
   @ApiModelProperty("钙(mg/100g)")
   private Double calcium;
   @ApiModelProperty("钠(mg/100g)")
   private Double sodium;
   @ApiModelProperty("食堂id")
   private Long diningId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口或店铺id")
   private Long shopstallId;
   @ApiModelProperty("档口或店铺名称")
   private String stname;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public String getProductName() {
      return CharSequenceUtil.isBlank(this.productName) ? this.productName : this.productName.replace("%%", "");
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getParentId() {
      return this.parentId;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Long getProductId() {
      return this.productId;
   }

   public Long getPackageId() {
      return this.packageId;
   }

   public Integer getCustomId() {
      return this.customId;
   }

   public Integer getMealType() {
      return this.mealType;
   }

   public List<String> getLabelList() {
      return this.labelList;
   }

   public List<AppletTasteVO> getTasteList() {
      return this.tasteList;
   }

   public Integer getSurplusNum() {
      return this.surplusNum;
   }

   public Integer getRestrictNum() {
      return this.restrictNum;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public Integer getOriginalPrice() {
      return this.originalPrice;
   }

   public Integer getPrefPrice() {
      return this.prefPrice;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Double getCalories() {
      return this.calories;
   }

   public Double getProtein() {
      return this.protein;
   }

   public Double getFat() {
      return this.fat;
   }

   public Double getCarbohydrate() {
      return this.carbohydrate;
   }

   public Double getDietaryFiber() {
      return this.dietaryFiber;
   }

   public Double getCholesterol() {
      return this.cholesterol;
   }

   public Double getCalcium() {
      return this.calcium;
   }

   public Double getSodium() {
      return this.sodium;
   }

   public Long getDiningId() {
      return this.diningId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public String getStname() {
      return this.stname;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setParentId(final Long parentId) {
      this.parentId = parentId;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setProductId(final Long productId) {
      this.productId = productId;
   }

   public void setPackageId(final Long packageId) {
      this.packageId = packageId;
   }

   public void setCustomId(final Integer customId) {
      this.customId = customId;
   }

   public void setMealType(final Integer mealType) {
      this.mealType = mealType;
   }

   public void setProductName(final String productName) {
      this.productName = productName;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setLabelList(final List<String> labelList) {
      this.labelList = labelList;
   }

   public void setTasteList(final List<AppletTasteVO> tasteList) {
      this.tasteList = tasteList;
   }

   public void setSurplusNum(final Integer surplusNum) {
      this.surplusNum = surplusNum;
   }

   public void setRestrictNum(final Integer restrictNum) {
      this.restrictNum = restrictNum;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public void setOriginalPrice(final Integer originalPrice) {
      this.originalPrice = originalPrice;
   }

   public void setPrefPrice(final Integer prefPrice) {
      this.prefPrice = prefPrice;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setCalories(final Double calories) {
      this.calories = calories;
   }

   public void setProtein(final Double protein) {
      this.protein = protein;
   }

   public void setFat(final Double fat) {
      this.fat = fat;
   }

   public void setCarbohydrate(final Double carbohydrate) {
      this.carbohydrate = carbohydrate;
   }

   public void setDietaryFiber(final Double dietaryFiber) {
      this.dietaryFiber = dietaryFiber;
   }

   public void setCholesterol(final Double cholesterol) {
      this.cholesterol = cholesterol;
   }

   public void setCalcium(final Double calcium) {
      this.calcium = calcium;
   }

   public void setSodium(final Double sodium) {
      this.sodium = sodium;
   }

   public void setDiningId(final Long diningId) {
      this.diningId = diningId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setStname(final String stname) {
      this.stname = stname;
   }

}
